/* Copyright (c) Naxsolution.Co.,Ltd*/
$(window).load(function() {
	box_link_opt = $("#box_link_opt"),
	lk_earth = $(".lk_earth"),
	lk_cloud1 = $(".lk_cloud1"),
	lk_cloud2 = $(".lk_cloud2"),
	lk_moon = $(".lk_moon"),
	lk_satellite = $(".lk_satellite"),
	lk_txt1 = $(".lk_txt1"),
	lk_txt2 = $(".lk_txt2"),
	lk_dir1 = [{x:0, y:0}, {x:-10, y:80}, {x:135, y:96}, {x:185, y:10}],
	lk_dir2 = [{x:0, y:0}, {x:-40, y:80}, {x:-150, y:68}, {x:-175, y:-18}],
	
	box_call_nayok = $("#box_call_nayok"),
	cn_bgtxt = $("#cn_bgtxt"),
	cn_txt1 = $("#cn_txt1"),
	cn_txt2 = $("#cn_txt2"),

	ct_tm2 = "+=2",
	ct_tm4 = "+=4",
	ct_tmb0_5 = "-=0.5",
	ct_tmb0_8 = "-=0.8",
	ct_tmb1 = "-=1";
	ct_tmb1_2 = "-=1.2";
	ct_tmb4 = "-=4";
	ct_tmb5 = "-=5";
	ct_tmb8 = "-=8";
	ct_tmb10 = "-=10";
		
//----------- Link Opt -----------//		
	function build_link_opt() {
		//----------- Lk txt Ani -----------//
		tl_lk_txt = new TimelineMax({repeat:-1});
		tl_lk_txt
		.fromTo(lk_txt1, 1 , {opacity:0, y:"20px"} , {opacity:1, y:"0px", ease:Back.easeInOut.config(0.5)})
		.fromTo(lk_txt2, 1 , {opacity:0, y:"20px"} , {opacity:1, y:"0px", ease:Back.easeInOut.config(0.5)}, ct_tmb0_8)
		.fromTo(lk_txt1, 1 , {opacity:1, y:"0px"} , {opacity:0, y:"20px", ease:Back.easeInOut.config(0.5)}, ct_tm2)
		.fromTo(lk_txt2, 1 , {opacity:1, y:"0px"} , {opacity:0, y:"20px", ease:Back.easeInOut.config(0.5)}, ct_tmb1_2);

		//----------- Lk cloud Ani -----------//
		tl_cloud = new TimelineMax({repeat:-1, delay:0});
		tl_cloud
		.fromTo(lk_cloud1, 10 , {opacity:0, x:"0px", y:"0px"} , {opacity:1, x:"-140px", y:"-40px"})
		.fromTo(lk_cloud1, 1 , {opacity:1} , {opacity:0}, ct_tmb4)
		.fromTo(lk_cloud2, 10 , {opacity:0, x:"0px", y:"0px"} , {opacity:1, x:"170px", y:"60px"}, ct_tmb10)
		.fromTo(lk_cloud2, 1 , {opacity:1} , {opacity:0}, ct_tmb4);

		//----------- Lk satellite Ani -----------//
		tl_satellite = new TimelineMax({repeat:-1});
		tl_satellite
		.to(lk_satellite, 5 , {bezier:{type:"soft", values:lk_dir1, autoRotate:["x","y","rotation", 0, true]}, transformOrigin:"19px 18px", ease:Power0.easeNone})
		.to(lk_moon, 5 , {bezier:{type:"soft", values:lk_dir2, autoRotate:["x","y","rotation", 0, true]}, transformOrigin:"19px 18px", ease:Power0.easeNone}, ct_tmb5)
		.add("li_s1", 1)
		.to([lk_moon, lk_satellite], 0.5, {alpha:1}, "li_s1")
		.add("li_s2", 4.5)
		.to([lk_moon, lk_satellite], 0.5, {alpha:0}, "li_s2");

	}

//----------- Butt Lk -----------//		
	function bLk() {
		butt_lk = new TimelineMax({paused:true});
		butt_lk
		.fromTo(lk_earth, 0.5 , {z:0.001, y:"0px", "-webkit-filter":"brightness(1)",filter:"brightness(1)"} , {y:"-5px", "-webkit-filter":"brightness(1.1)",filter:"brightness(1.1)", ease:Back.easeInOut.config(0.5)});

		
		box_link_opt.mouseover(function(){
			butt_lk.play();
		});
		box_link_opt.mouseout (function(){
			butt_lk.reverse();
		});
	}

	
//----------- Call Nayok -----------//		
	function build_call_nayok() {
		//----------- Cn Txt1 Ani -----------//
		tl_cn1 = new TimelineMax({repeat:-1, yoyo:true});
		tl_cn1
		.to(cn_txt1, 0.5 , {"color":"#D5681D", ease:Back.easeInOut.config(0.5)})
		.to(cn_txt1, 0.5 , {"color":"#FFDA01", ease:Back.easeInOut.config(0.5)});
	}
	
//----------- Show All -----------//		
	function init_content() {
		TweenMax.set($("#box_link_opt"), {visibility:"visible"});
		build_link_opt();
		bLk();
		build_call_nayok();
	}
	init_content();
});
